Bug 179970 - via DRM not working so well
via DRM not working so well
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
: 179969 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-03 22:36 EST by Bill Nottingham
Modified: 2015-01-04 17:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 23:33:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-02-03 22:36:40 EST
The software:

[root@xenomorph ~]# uname -a
Linux xenomorph 2.6.15-1.1898_FC5 #1 SMP Thu Feb 2 18:49:17 EST 2006 x86_64
x86_64 x86_64 GNU/Linux
[root@xenomorph ~]# rpm -q xorg-x11-server-Xorg
xorg-x11-server-Xorg-1.0.1-1
[root@xenomorph ~]# rpm -q xorg-x11-drv-via
xorg-x11-drv-via-0.1.33.1-1

The hardware:

[root@xenomorph ~]# lspci
00:00.0 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
00:00.1 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
00:00.2 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
00:00.3 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
00:00.4 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
00:00.7 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI bridge [K8T800/K8T890 South]
00:0e.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host Controller
(rev 80)
00:0f.0 RAID bus controller: VIA Technologies, Inc. VIA VT6420 SATA RAID
Controller (rev 80)
00:0f.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 81)
00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 81)
00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 81)
00:10.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 81)
00:10.4 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 86)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8237 ISA bridge
[KT600/K8T800/K8T890 South]
00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233/A/8235/8237
AC97 Audio Controller (rev 60)
00:12.0 Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II] (rev 78)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
01:00.0 VGA compatible controller: VIA Technologies, Inc. S3 Unichrome Pro VGA
Adapter (rev 01)

The situation:

Start X with dri. dmesg shows:

irq 209: nobody cared (try booting with the "irqpoll" option)

Call Trace: <IRQ> <ffffffff8015c3a0>{__report_bad_irq+48}
       <ffffffff8015c59e>{note_interrupt+433} <ffffffff8015beb4>{__do_IRQ+191}
       <ffffffff8010d4e2>{do_IRQ+59} <ffffffff801099a9>{default_idle+0}
       <ffffffff8010aece>{ret_from_intr+0} <EOI> <ffffffff801099a9>{default_idle+0}
       <ffffffff8033e3af>{thread_return+0} <ffffffff801099d4>{default_idle+43}
       <ffffffff80109a94>{cpu_idle+151} <ffffffff8053277d>{start_kernel+470}
       <ffffffff80532298>{_sinittext+664}
handlers:
[<ffffffff883c536c>] (via_driver_irq_handler+0x0/0x14a [via])
Disabling IRQ #209

Being a glutton for punishment, I tried to run a GL app *after* this.
That... didn't fare too well.

[drm:eat_words] *ERROR* Illegal termination of DMA command buffer
Unable to handle kernel paging request at 0000000036716ab8 RIP:
<ffffffff883c5c5b>{:via:via_mmFreeMem+6}
PGD 25330067 PUD 247cd067 PMD 0
Oops: 0000 [1] SMP
last sysfs file: /devices/pci0000:00/0000:00:01.0/0000:01:00.0/modalias
CPU 0
Modules linked in: via drm sunrpc dm_mirror dm_mod raid1 video button battery ac
lp parport_pc parport floppy nvram sd_mod snd_via82xx ohci1394 uhci_hcd ehci_hcd
gameport snd_ac97_codec snd_ac97_bus snd_seq_dummy ieee1394 snd_seq_oss
snd_seq_midi_event snd_seq snd_pcm_oss snd_mixer_oss sata_via libata snd_pcm
scsi_mod via_rhine mii snd_timer snd_page_alloc snd_mpu401_uart snd_rawmidi
snd_seq_device snd soundcore i2c_viapro i2c_core ext3 jbd
Pid: 2640, comm: Xorg Not tainted 2.6.15-1.1898_FC5 #1
RIP: 0010:[<ffffffff883c5c5b>] <ffffffff883c5c5b>{:via:via_mmFreeMem+6}
RSP: 0018:ffff810031763e18  EFLAGS: 00010202
RAX: 0000000000000001 RBX: ffff81001a080000 RCX: 0000000000000000
RDX: 00000000fffffff2 RSI: ffff810031763e30 RDI: 0000000036716ab0
RBP: 0000000000000001 R08: 0000000000852c30 R09: 00000000006c5260
R10: 000000000000002a R11: 0000000000003246 R12: ffff81002888eba0
R13: 0000000000000002 R14: ffff810024f60000 R15: ffff81002888ec0c
FS:  00002b53036e98f0(0000) GS:ffffffff80505000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000036716ab8 CR3: 0000000024a72000 CR4: 00000000000006e0
Process Xorg (pid: 2640, threadinfo ffff810031762000, task ffff8100394bf0c0)
Stack: ffff81001a080000 ffffffff883c6328 0000000000000000 0000000036716ab0
       ffff81002888eba0 ffff810028688e48 0000000000000021 ffff810028688e48
       00000000c0086421 ffffffff883a8eac
Call Trace: <ffffffff883c6328>{:via:via_final_context+173}
       <ffffffff883a8eac>{:drm:drm_rmctx+125} <ffffffff883a8e2f>{:drm:drm_rmctx+0}
       <ffffffff883aa11a>{:drm:drm_ioctl+354} <ffffffff801925a1>{do_ioctl+85}
       <ffffffff80192802>{vfs_ioctl+587} <ffffffff80192874>{sys_ioctl+89}
       <ffffffff8010aa78>{tracesys+209}

Code: 48 8b 47 08 48 85 c0 74 77 31 db eb 0e 48 8b 10 48 89 c3 48
RIP <ffffffff883c5c5b>{:via:via_mmFreeMem+6} RSP <ffff810031763e18>
CR2: 0000000036716ab8
 <1>Unable to handle kernel paging request at 0000000036716ab8 RIP:
<ffffffff883c5c5b>{:via:via_mmFreeMem+6}
PGD 0
Oops: 0000 [2] SMP
last sysfs file: /devices/pci0000:00/0000:00:01.0/0000:01:00.0/modalias
CPU 0
Modules linked in: via drm sunrpc dm_mirror dm_mod raid1 video button battery ac
lp parport_pc parport floppy nvram sd_mod snd_via82xx ohci1394 uhci_hcd ehci_hcd
gameport snd_ac97_codec snd_ac97_bus snd_seq_dummy ieee1394 snd_seq_oss
snd_seq_midi_event snd_seq snd_pcm_oss snd_mixer_oss sata_via libata snd_pcm
scsi_mod via_rhine mii snd_timer snd_page_alloc snd_mpu401_uart snd_rawmidi
snd_seq_device snd soundcore i2c_viapro i2c_core ext3 jbd
Pid: 2640, comm: Xorg Not tainted 2.6.15-1.1898_FC5 #1
RIP: 0010:[<ffffffff883c5c5b>] <ffffffff883c5c5b>{:via:via_mmFreeMem+6}
RSP: 0018:ffff810031763ab8  EFLAGS: 00010202
RAX: 0000000000000001 RBX: ffff81001a080000 RCX: 0000000000000296
RDX: 0000000000000001 RSI: ffff810031763ad0 RDI: 0000000036716ab0
RBP: 0000000000000001 R08: 0000000000000000 R09: ffff81003abb6a98
R10: ffff8100257ff438 R11: ffff8100020bd340 R12: ffff81002888eba0
R13: 0000000000000002 R14: ffff810024f60000 R15: ffff8100266e7278
FS:  00002b53036e98f0(0000) GS:ffffffff80505000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000036716ab8 CR3: 000000003acdd000 CR4: 00000000000006e0
Process Xorg (pid: 2640, threadinfo ffff810031762000, task ffff8100394bf0c0)
Stack: ffff81001a080000 ffffffff883c6328 0000000000000000 0000000036716ab0
       ffff810036716688 ffff81002888eba0 ffff810036716880 ffff810028688e48
       0000000000000000 ffffffff883aaa3e
Call Trace: <ffffffff883c6328>{:via:via_final_context+173}
       <ffffffff883aaa3e>{:drm:drm_release+784} <ffffffff8018215b>{__fput+184}
       <ffffffff8017f836>{filp_close+89} <ffffffff80134a1f>{put_files_struct+110}
       <ffffffff801360af>{do_exit+636} <ffffffff80341c37>{do_page_fault+1760}
       <ffffffff8033e3af>{thread_return+0} <ffffffff8033e40d>{thread_return+94}
       <ffffffff8010b889>{error_exit+0} <ffffffff883c5c5b>{:via:via_mmFreeMem+6}
       <ffffffff883c6328>{:via:via_final_context+173}
<ffffffff883a8eac>{:drm:drm_rmctx+125}
       <ffffffff883a8e2f>{:drm:drm_rmctx+0} <ffffffff883aa11a>{:drm:drm_ioctl+354}
       <ffffffff801925a1>{do_ioctl+85} <ffffffff80192802>{vfs_ioctl+587}
       <ffffffff80192874>{sys_ioctl+89} <ffffffff8010aa78>{tracesys+209}

Code: 48 8b 47 08 48 85 c0 74 77 31 db eb 0e 48 8b 10 48 89 c3 48
RIP <ffffffff883c5c5b>{:via:via_mmFreeMem+6} RSP <ffff810031763ab8>
CR2: 0000000036716ab8
 <1>Fixing recursive fault but reboot is needed!
Comment 1 Bill Nottingham 2006-02-03 22:37:39 EST
*** Bug 179969 has been marked as a duplicate of this bug. ***
Comment 2 Bill Nottingham 2006-02-06 17:56:28 EST
Bumping severity re: crasher, although I realize this is a fairly fringe HW config.
Comment 3 Bill Nottingham 2006-09-21 23:33:34 EDT
Hey, with 2.6.17-1.2187_FC5, it no longer *crashes* the box. In fact, it seems
to imply DRM is working, even with the IRQ 209: nobody cared message.

glxgears is slooow.

Note You need to log in before you can comment on or make changes to this bug.